## tfm-arphic 2.11

=== debian/changelog ===
tfm-arphic (2.11) stable unstable; urgency=medium

  * Added "Depends: tetex-bin" because mktexlsr and kpsewhich are used
    in postinst and postrm.  Thanks for the bug report, Ryan Murray!
    Closes: Bug#84099.

 -- Anthony Fok <foka@debian.org>  Sun, 18 Feb 2001 04:46:13 -0700

tfm-arphic (2.10) unstable; urgency=low

  * Initial release.
  * Special thanks to Arphic Technology Co., Ltd. and to the
    Chinese GNU/Linux Extension Team for their effort in bringing
    our dream to reality!  :-)

 -- Anthony Fok <foka@debian.org>  Fri, 24 Dec 1999 12:52:39 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "foka@debian.org"
End:
