=== debian/control ===
Source: tfm-arphic
Build-Depends: debhelper (>= 2.0.72), freetype-tools (>= 1.3.1), ttf-arphic-bsmi00lp, ttf-arphic-bkai00mp, ttf-arphic-gbsn00lp, ttf-arphic-gkai00mp
Section: tex
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Standards-Version: 3.1.1

Package: tfm-arphic-bsmi00lp
Architecture: all
Depends: ttf-arphic-bsmi00lp, freetype-tools (>= 1.3.1), tetex-bin
Recommends: cjk-latex (>= 4.2.0-1)
Description: Arphic "AR PL Mingti2L Big5" TrueType font TeX font metric data
 This package contains the Arphic "AR PL Mingti2L Big5" Chinese TrueType font
 TeX font metric data (TFM) files, which may be used with the cjk-latex
 package for doing typesetting.  The TFM files are generated from
 bsmi00lp.ttf using Werner Lemberg's ttf2tfm.
 .
 "AR PL Mingti2L Big5" is a high-quality Chinese TrueType font
 (bsmi00lp.ttf) generously provided by Arphic Technology to the Free
 Software community under the "Arphic Public License".
 .
  Author: Arphic Technology Co., Ltd.
     URL: http://www.arphic.com.tw/

Package: tfm-arphic-bkai00mp
Architecture: all
Depends: ttf-arphic-bkai00mp, freetype-tools (>= 1.3.1), tetex-bin
Recommends: cjk-latex (>= 4.2.0-1)
Description: Arphic "AR PL KaitiM Big5" TrueType font TeX font metric data
 This package contains the Arphic "AR PL KaitiM Big5" Chinese TrueType font
 TeX font metric data (TFM) files, which may be used with the cjk-latex
 package for doing typesetting.  The TFM files are generated from
 bkai00mp.ttf using Werner Lemberg's ttf2tfm.
 .
 "AR PL KaitiM Big5" is a high-quality Chinese TrueType font
 (bkai00mp.ttf) generously provided by Arphic Technology to the Free
 Software community under the "Arphic Public License".
 .
  Author: Arphic Technology Co., Ltd.
     URL: http://www.arphic.com.tw/

Package: tfm-arphic-gbsn00lp
Architecture: all
Depends: ttf-arphic-gbsn00lp, freetype-tools (>= 1.3.1), tetex-bin
Recommends: cjk-latex (>= 4.2.0-1)
Description: Arphic "AR PL SungtiL GB" TrueType font TeX font metric data
 This package contains the Arphic "AR PL SungtiL GB" Chinese TrueType font
 TeX font metric data (TFM) files, which may be used with the cjk-latex
 package for doing typesetting.  The TFM files are generated from
 gbsn00lp.ttf using Werner Lemberg's ttf2tfm.
 .
 "AR PL SungtiL GB" is a high-quality Chinese TrueType font
 (gbsn00lp.ttf) generously provided by Arphic Technology to the Free
 Software community under the "Arphic Public License".
 .
  Author: Arphic Technology Co., Ltd.
     URL: http://www.arphic.com.tw/

Package: tfm-arphic-gkai00mp
Architecture: all
Depends: ttf-arphic-gkai00mp, freetype-tools (>= 1.3.1), tetex-bin
Recommends: cjk-latex (>= 4.2.0-1)
Description: Arphic "AR PL KaitiM GB" TrueType font TeX font metric data
 This package contains the Arphic "AR PL KaitiM GB" Chinese TrueType font
 TeX font metric data (TFM) files, which may be used with the cjk-latex
 package for doing typesetting.  The TFM files are generated from
 gkai00mp.ttf using Werner Lemberg's ttf2tfm.
 .
 "AR PL KaitiM GB" is a high-quality Chinese TrueType font
 (gkai00mp.ttf) generously provided by Arphic Technology to the Free
 Software community under the "Arphic Public License".
 .
  Author: Arphic Technology Co., Ltd.
     URL: http://www.arphic.com.tw/
