## tfm-arphic 2.11.1

=== debian/changelog ===
tfm-arphic (2.11.1) unstable; urgency=low

  * Added Build-Depends: freetype1-tools, ttf2pt1, ttf2pt1-chinese.
    (Yes, the previous "freetype-tools" package has been renamed to
    "freetype1-tools" to prevent confusion with FreeType 2.)
  * Use ttf2pt1 to generate /usr/share/texmf/dvips/arphic/*.enc files
    so pdflatex can embed the Arphic TrueType fonts into PDF files
    directly.  This certainly improves the quality of the Chinese fonts
    in the generated PDF files, but unfortuately, xpdf doesn't support
    embedded TrueType fonts yet.

 -- Anthony Fok <foka@debian.org>  Sun, 20 May 2001 02:33:51 -0600
