=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,20 @@
 #!/usr/bin/make -f
 #
 # debian/rules file for tfm-arphic for Debian.
-# GNU GPL v2, Copyright (C) 1999, Anthony Fok <foka@debian.org>
+# GNU GPL v2, Copyright (C) 1999-2001, Anthony Fok <foka@debian.org>
 
 package = tfm-arphic
 SHELL = /bin/sh
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=3
+
+# export DH_OPTIONS doesn't work for this file.  Yes, I tried already.
+#export DH_OPTIONS
+#
 
 # Arphic PL fonts information
 
@@ -29,6 +36,11 @@
 gkai_familyname = AR PL KaitiM GB
 gkai_encoding = UGB
 
+UBig5_mapfile = cubig5.map
+UBig5_planes = 55
+UGB_mapfile = cugb.map
+UGB_planes = 35
+
 fonttype = truetype
 supplier = arphic
 mode = modeless
@@ -36,6 +48,8 @@
 typeface = $($(abbrev)_typeface)
 familyname = $($(abbrev)_familyname)
 encoding = $($(abbrev)_encoding)
+mapfile = $($(encoding)_mapfile)
+planes = $($(encoding)_planes)
 bin-package = tfm-$(supplier)-$(typeface)
 binary_fonts = $(addprefix binary_,$(fonts))
 build-stamp_fonts = $(addprefix build-stamp.,$(fonts))
@@ -45,11 +59,13 @@
 # Path names
 
 d = debian/$(bin-package)
+mapsdir = /usr/share/ttf2pt1/maps
 texmf = usr/share/texmf
 fontpath = usr/share/fonts/$(fonttype)/$(supplier)
 dest_texfontpath = $(texmf)/fonts/$(fonttype)/$(supplier)
 dest_tfmpath = $(texmf)/fonts/tfm/$(supplier)/$(typeface)
 dest_docpath = usr/share/doc/texmf/fonts/$(fonttype)/$(supplier)
+dest_encpath = $(texmf)/dvips/$(supplier)
 
 build: build-stamp
 build-stamp: $(build-stamp_fonts)
@@ -64,6 +80,15 @@
 	ttf2tfm $(typeface) -q -s 0.167 $(abbrev)s@$(encoding)@
 	ttf2tfm $(typeface) -q -x $(abbrev)r@$(encoding)@
 	ttf2tfm $(typeface) -q -x -s 0.167 $(abbrev)rs@$(encoding)@
+
+	for i in \
+	  `perl -e 'for $$p (01..$(planes)) { printf "%02d ", $$p; }'`; \
+	  do \
+	    ttf2pt1 -L $(mapsdir)/$(mapfile)+$$i \
+		-Oh $(typeface).ttf $(abbrev)$$i; \
+	    rm -f $(abbrev)$$i.t1a $(abbrev)$$i.afm; \
+	done
+
 	touch $@
 
 clean: pre-clean $(clean_fonts)
@@ -72,7 +97,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	rm -f *.ttf *.tfm
+	rm -f *.ttf *.tfm *.afm *.t1a *.enc
 
 	dh_clean
 
@@ -105,22 +130,21 @@
 $(install_fonts): abbrev = $(patsubst install_%,%,$@)
 $(install_fonts): DH_OPTIONS = -p$(bin-package) -P$(d)
 $(install_fonts):
-	dh_testversion 1.1.17
 	dh_testdir $(DH_OPTIONS)
 	dh_testroot $(DH_OPTIONS)
 	dh_clean -k $(DH_OPTIONS)
 	dh_installdirs $(DH_OPTIONS) $(dest_tfmpath) $(dest_docpath) \
-		$(dest_texfontpath)
+		$(dest_texfontpath) $(dest_encpath)
 	ln -s ../../../../fonts/$(fonttype)/$(supplier)/$(typeface).ttf \
 		$(d)/$(dest_texfontpath)/
 	cp -a $(abbrev)*.tfm $(d)/$(dest_tfmpath)/
+	cp -a $(abbrev)*.enc $(d)/$(dest_encpath)/
 
 # Build architecture-independent files here.
 binary-indep: build install $(binary_fonts)
 $(binary_fonts): abbrev = $(patsubst binary_%,%,$@)
 $(binary_fonts): DH_OPTIONS = -p$(bin-package) -P$(d)
 $(binary_fonts):
-	dh_testversion 1.1.17
 	dh_testdir $(DH_OPTIONS)
 	dh_testroot $(DH_OPTIONS)
 	dh_installdocs $(DH_OPTIONS)
