## tfm-arphic 2.11.2-0.1

=== debian/changelog ===
tfm-arphic (2.11.2-0.1) unstable; urgency=low

  * NMU, add tetex-bin to build-depends. Closes: #158327
    Note that control.stem.in was updated. not just control, so this change
    will persist. I suspect only control was changed in the last release.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Apr 2003 21:40:37 -0400

tfm-arphic (2.11.2) unstable; urgency=low

  * Fix build dependency issue (UBig5.sfd not found).  (Closes: #142134)
  * BuildRequires: ttf2pt1 (>= 3.4.0-1) due to new options used for
    generating the *.enc files

 -- Anthony Fok <foka@debian.org>  Sat,  1 Jun 2002 01:34:59 +0800
