=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: tfm-arphic
-Build-Depends: debhelper (>= 3.0.5), freetype1-tools, ttf2pt1, ttf2pt1-chinese, ttf-arphic-bsmi00lp, ttf-arphic-bkai00mp, ttf-arphic-gbsn00lp, ttf-arphic-gkai00mp
+Build-Depends: debhelper (>= 3.0.5), freetype1-tools, ttf2pt1, ttf2pt1-chinese, ttf-arphic-bsmi00lp, ttf-arphic-bkai00mp, ttf-arphic-gbsn00lp, ttf-arphic-gkai00mp, tetex-bin
 Section: tex
 Priority: optional
 Maintainer: Anthony Fok <foka@debian.org>
