=== debian/rules ===
--- 
+++ 
@@ -84,10 +84,11 @@
 	for i in \
 	  `perl -e 'for $$p (01..$(planes)) { printf "%02d ", $$p; }'`; \
 	  do \
-	    ttf2pt1 -L $(mapsdir)/$(mapfile)+$$i \
-		-Oh $(typeface).ttf $(abbrev)$$i; \
-	    rm -f $(abbrev)$$i.t1a $(abbrev)$$i.afm; \
+	    echo -n "$(abbrev)$$i.enc " ; \
+	    ttf2pt1 -G faE -O bhuostw -W 0 -L $(mapsdir)/$(mapfile)+$$i \
+		$(typeface).ttf $(abbrev)$$i ; \
 	done
+	@echo
 
 	touch $@
 
@@ -97,7 +98,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	rm -f *.ttf *.tfm *.afm *.t1a *.enc
+	rm -f *.ttf *.tfm *.enc
 
 	dh_clean
